//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014
var gSpawnerManager = new SpawnerManager();

function SpawnerManager()
{
	this.spawners = new Array();
	
	this.Register = function(spawner)
	{
		this.spawners.push(spawner);
		spawner.Registered();
	}
	
	this.Clear = function()
	{
		this.spawners = new Array();
	}
	
	this.Update = function()
	{
		for(var i = 0; i < this.spawners.length; i++)
		{
			this.spawners[i].Update();
		}
	}

	this.Debug = function()
	{
		for(var i = 0; i < this.spawners.length; i++)
		{
			this.spawners[i].Debug();
		}
	}

}